# Environment.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/orbconf.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/default_environment.h"`
`#include "tao/Environment.i"`

Include dependency graph for Environment.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | CORBA::Environment
| Environment. More...

## Typedefs

typedef TAO_Pseudo_Var_T< Environment > | Environment_var
typedef TAO_Pseudo_Out_T< Environment, Environment_var > | Environment_out

## Detailed Description

Id
  Environment.h,v 1.30 2005/11/02 07:13:02 ossama Exp

Declare the CORBA::Environment class. Note that this header file only requires a few forward declarations of CORBA classes, this is *very* important because even the ORB needs to know about it; make your changes with care. It is also a good idea trying to minimize cross dependencies between header files.

Author:
  Carlos O'Ryan <coryan@cs.wustl.edu>

## Typedef Documentation

typedef TAO_Pseudo_Out_T<Environment, Environment_var> CORBA::Environment_out

typedef TAO_Pseudo_Var_T<Environment> CORBA::Environment_var